# Generated by Django 3.0.4 on 2020-04-30 01:15

import django.core.validators
from django.db import migrations, models
import edc_model.models.fields.blood_pressure


class Migration(migrations.Migration):

    dependencies = [
        ("mapitio_subject", "0002_auto_20200430_0315"),
    ]

    operations = [
        migrations.RemoveField(model_name="nextappointment", name="site",),
        migrations.RemoveField(model_name="nextappointment", name="subject_visit",),
        migrations.AlterModelOptions(
            name="historicalindicators",
            options={
                "get_latest_by": "history_date",
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical Indicators",
            },
        ),
        migrations.AlterModelOptions(
            name="indicators",
            options={"verbose_name": "Indicators", "verbose_name_plural": "Indicators"},
        ),
        migrations.RenameField(
            model_name="historicalhivhistory",
            old_name="other_arv_regimen",
            new_name="arv_regimen_other",
        ),
        migrations.RenameField(
            model_name="hivhistory",
            old_name="other_arv_regimen",
            new_name="arv_regimen_other",
        ),
        migrations.AlterField(
            model_name="historicalindicators",
            name="dia_blood_pressure",
            field=edc_model.models.fields.blood_pressure.DiastolicPressureField(
                blank=True, null=True
            ),
        ),
        migrations.AlterField(
            model_name="historicalindicators",
            name="sys_blood_pressure",
            field=edc_model.models.fields.blood_pressure.SystolicPressureField(
                blank=True, null=True
            ),
        ),
        migrations.AlterField(
            model_name="historicalindicators",
            name="waist_circumference",
            field=models.DecimalField(
                blank=True,
                decimal_places=1,
                help_text="in centimeters",
                max_digits=5,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(50.0),
                    django.core.validators.MaxValueValidator(175.0),
                ],
                verbose_name="Waist circumference",
            ),
        ),
        migrations.AlterField(
            model_name="indicators",
            name="dia_blood_pressure",
            field=edc_model.models.fields.blood_pressure.DiastolicPressureField(
                blank=True, null=True
            ),
        ),
        migrations.AlterField(
            model_name="indicators",
            name="sys_blood_pressure",
            field=edc_model.models.fields.blood_pressure.SystolicPressureField(
                blank=True, null=True
            ),
        ),
        migrations.AlterField(
            model_name="indicators",
            name="waist_circumference",
            field=models.DecimalField(
                blank=True,
                decimal_places=1,
                help_text="in centimeters",
                max_digits=5,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(50.0),
                    django.core.validators.MaxValueValidator(175.0),
                ],
                verbose_name="Waist circumference",
            ),
        ),
        migrations.DeleteModel(name="HistoricalNextAppointment",),
        migrations.DeleteModel(name="NextAppointment",),
    ]
